diff --git a/arch/arm/mach-omap2/omap5/Kconfig b/arch/arm/mach-omap2/omap5/Kconfig
index fddbac9dec..a0c0b93a00 100644
--- a/arch/arm/mach-omap2/omap5/Kconfig
+++ b/arch/arm/mach-omap2/omap5/Kconfig
@@ -9,9 +9,6 @@ choice
 	prompt "OMAP5 board select"
 	optional
 
-config TARGET_CM_T54
-	bool "CompuLab CM-T54"
-
 config TARGET_OMAP5_UEVM
 	bool "TI OMAP5 uEVM board"
 
@@ -156,7 +153,6 @@ endchoice
 endmenu
 endif
 
-source "board/compulab/cm_t54/Kconfig"
 source "board/ti/omap5_uevm/Kconfig"
 source "board/ti/dra7xx/Kconfig"
 source "board/ti/am57xx/Kconfig"
diff --git a/board/compulab/cm_t54/Kconfig b/board/compulab/cm_t54/Kconfig
deleted file mode 100644
index 52d38804df..0000000000
--- a/board/compulab/cm_t54/Kconfig
+++ /dev/null
@@ -1,12 +0,0 @@
-if TARGET_CM_T54
-
-config SYS_BOARD
-	default "cm_t54"
-
-config SYS_VENDOR
-	default "compulab"
-
-config SYS_CONFIG_NAME
-	default "cm_t54"
-
-endif
diff --git a/board/compulab/cm_t54/MAINTAINERS b/board/compulab/cm_t54/MAINTAINERS
deleted file mode 100644
index 461fe098c0..0000000000
--- a/board/compulab/cm_t54/MAINTAINERS
+++ /dev/null
@@ -1,6 +0,0 @@
-CM_T54 BOARD
-M:	Dmitry Lifshitz <lifshitz at compulab.co.il>
-S:	Maintained
-F:	board/compulab/cm_t54/
-F:	include/configs/cm_t54.h
-F:	configs/cm_t54_defconfig
diff --git a/board/compulab/cm_t54/Makefile b/board/compulab/cm_t54/Makefile
deleted file mode 100644
index a907074414..0000000000
--- a/board/compulab/cm_t54/Makefile
+++ /dev/null
@@ -1,8 +0,0 @@
-# SPDX-License-Identifier: GPL-2.0+
-#
-# Copyright (C) 2014 Compulab Ltd - http://compulab.co.il/
-#
-# Author: Dmitry Lifshitz <lifshitz at compulab.co.il>
-
-obj-y += cm_t54.o
-obj-$(CONFIG_SPL_BUILD) += mux.o spl.o
diff --git a/board/compulab/cm_t54/cm_t54.c b/board/compulab/cm_t54/cm_t54.c
deleted file mode 100644
index 413f3c9c8f..0000000000
--- a/board/compulab/cm_t54/cm_t54.c
+++ /dev/null
@@ -1,261 +0,0 @@
-// SPDX-License-Identifier: GPL-2.0+
-/*
- * Board functions for Compulab CM-T54 board
- *
- * Copyright (C) 2014, Compulab Ltd - http://compulab.co.il/
- *
- * Author: Dmitry Lifshitz <lifshitz at compulab.co.il>
- */
-
-#include <common.h>
-#include <env.h>
-#include <fdt_support.h>
-#include <net.h>
-#include <usb.h>
-#include <mmc.h>
-#include <palmas.h>
-#include <spl.h>
-#include <linux/delay.h>
-
-#include <asm/gpio.h>
-#include <asm/arch/sys_proto.h>
-#include <asm/arch/mmc_host_def.h>
-#include <asm/arch/clock.h>
-#include <asm/arch/ehci.h>
-#include <asm/ehci-omap.h>
-
-#include "../common/eeprom.h"
-
-#define DIE_ID_REG_BASE		(OMAP54XX_L4_CORE_BASE + 0x2000)
-#define DIE_ID_REG_OFFSET	0x200
-
-DECLARE_GLOBAL_DATA_PTR;
-
-#if !defined(CONFIG_SPL_BUILD)
-inline void set_muxconf_regs(void){};
-#endif
-
-const struct omap_sysinfo sysinfo = {
-	"Board: CM-T54\n"
-};
-
-/*
- * Routine: board_init
- * Description: hardware init.
- */
-int board_init(void)
-{
-	gd->bd->bi_boot_params = (CONFIG_SYS_SDRAM_BASE + 0x100);
-
-	return 0;
-}
-
-/*
- * Routine: cm_t54_palmas_regulator_set
- * Description:  select voltage and turn on/off Palmas PMIC regulator.
- */
-static int cm_t54_palmas_regulator_set(u8 vreg, u8 vval, u8 creg, u8 cval)
-{
-	int err;
-
-	/* Setup voltage */
-	err = palmas_i2c_write_u8(TWL603X_CHIP_P1, vreg, vval);
-	if (err) {
-		printf("cm_t54: could not set regulator 0x%02x voltage : %d\n",
-		       vreg, err);
-		return err;
-	}
-
-	/* Turn on/off regulator */
-	err = palmas_i2c_write_u8(TWL603X_CHIP_P1, creg, cval);
-	if (err) {
-		printf("cm_t54: could not turn on/off regulator 0x%02x : %d\n",
-		       creg, err);
-		return err;
-	}
-
-	return 0;
-}
-
-/*
- * Routine: mmc_get_env_part
- * Description:  setup environment storage device partition.
- */
-#ifdef CONFIG_SYS_MMC_ENV_PART
-uint mmc_get_env_part(struct mmc *mmc)
-{
-	u32 bootmode = gd->arch.omap_boot_mode;
-	uint bootpart = CONFIG_SYS_MMC_ENV_PART;
-
-	/*
-	 * If booted from eMMC boot partition then force eMMC
-	 * FIRST boot partition to be env storage
-	 */
-	if (bootmode == BOOT_DEVICE_MMC2)
-		bootpart = 1;
-
-	return bootpart;
-}
-#endif
-
-#if defined(CONFIG_MMC)
-#define SB_T54_CD_GPIO 228
-#define SB_T54_WP_GPIO 229
-
-int board_mmc_init(bd_t *bis)
-{
-	int ret0, ret1;
-
-	ret0 = omap_mmc_init(0, 0, 0, SB_T54_CD_GPIO, SB_T54_WP_GPIO);
-	if (ret0)
-		printf("cm_t54: failed to initialize mmc0\n");
-
-	ret1 = omap_mmc_init(1, 0, 0, -1, -1);
-	if (ret1)
-		printf("cm_t54: failed to initialize mmc1\n");
-
-	if (ret0 && ret1)
-		return -1;
-
-	return 0;
-}
-#endif
-
-#ifdef CONFIG_USB_HOST_ETHER
-
-int ft_board_setup(void *blob, bd_t *bd)
-{
-	uint8_t enetaddr[6];
-
-	/* MAC addr */
-	if (eth_env_get_enetaddr("usbethaddr", enetaddr)) {
-		fdt_find_and_setprop(blob, "/smsc95xx at 0", "mac-address",
-				     enetaddr, 6, 1);
-	}
-
-	return 0;
-}
-
-static void generate_mac_addr(uint8_t *enetaddr)
-{
-	int reg;
-
-	reg = DIE_ID_REG_BASE + DIE_ID_REG_OFFSET;
-
-	/*
-	 * create a fake MAC address from the processor ID code.
-	 * first byte is 0x02 to signify locally administered.
-	 */
-	enetaddr[0] = 0x02;
-	enetaddr[1] = readl(reg + 0x10) & 0xff;
-	enetaddr[2] = readl(reg + 0xC) & 0xff;
-	enetaddr[3] = readl(reg + 0x8) & 0xff;
-	enetaddr[4] = readl(reg) & 0xff;
-	enetaddr[5] = (readl(reg) >> 8) & 0xff;
-}
-
-/*
- * Routine: handle_mac_address
- * Description: prepare MAC address for on-board Ethernet.
- */
-static int handle_mac_address(void)
-{
-	uint8_t enetaddr[6];
-	int ret;
-
-	ret = eth_env_get_enetaddr("usbethaddr", enetaddr);
-	if (ret)
-		return 0;
-
-	ret = cl_eeprom_read_mac_addr(enetaddr, CONFIG_SYS_I2C_EEPROM_BUS);
-	if (ret || !is_valid_ethaddr(enetaddr))
-		generate_mac_addr(enetaddr);
-
-	if (!is_valid_ethaddr(enetaddr))
-		return -1;
-
-	return eth_env_set_enetaddr("usbethaddr", enetaddr);
-}
-
-int board_eth_init(bd_t *bis)
-{
-	return handle_mac_address();
-}
-#endif
-
-#ifdef CONFIG_USB_EHCI_HCD
-static struct omap_usbhs_board_data usbhs_bdata = {
-	.port_mode[0] = OMAP_USBHS_PORT_MODE_UNUSED,
-	.port_mode[1] = OMAP_EHCI_PORT_MODE_HSIC,
-	.port_mode[2] = OMAP_EHCI_PORT_MODE_HSIC,
-};
-
-static void setup_host_clocks(bool enable)
-{
-	int usbhost_clk = OPTFCLKEN_HSIC60M_P3_CLK |
-			  OPTFCLKEN_HSIC480M_P3_CLK |
-			  OPTFCLKEN_HSIC60M_P2_CLK |
-			  OPTFCLKEN_HSIC480M_P2_CLK |
-			  OPTFCLKEN_UTMI_P3_CLK |
-			  OPTFCLKEN_UTMI_P2_CLK;
-
-	int usbtll_clk = OPTFCLKEN_USB_CH1_CLK_ENABLE |
-			 OPTFCLKEN_USB_CH2_CLK_ENABLE;
-
-	int usbhub_clk = CKOBUFFER_CLK_ENABLE_MASK;
-
-	if (enable) {
-		/* Enable port 2 and 3 clocks*/
-		setbits_le32((*prcm)->cm_l3init_hsusbhost_clkctrl, usbhost_clk);
-		/* Enable port 2 and 3 usb host ports tll clocks*/
-		setbits_le32((*prcm)->cm_l3init_hsusbtll_clkctrl, usbtll_clk);
-		/* Request FREF_XTAL_CLK clock for HSIC USB Hub */
-		setbits_le32((*ctrl)->control_ckobuffer, usbhub_clk);
-	} else {
-		clrbits_le32((*ctrl)->control_ckobuffer, usbhub_clk);
-		clrbits_le32((*prcm)->cm_l3init_hsusbtll_clkctrl, usbtll_clk);
-		clrbits_le32((*prcm)->cm_l3init_hsusbhost_clkctrl, usbhost_clk);
-	}
-}
-
-int ehci_hcd_init(int index, enum usb_init_type init,
-		struct ehci_hccr **hccr, struct ehci_hcor **hcor)
-{
-	int ret;
-
-	/* VCC_3V3_ETH */
-	cm_t54_palmas_regulator_set(SMPS9_VOLTAGE, SMPS_VOLT_3V3, SMPS9_CTRL,
-				    SMPS_MODE_SLP_AUTO | SMPS_MODE_ACT_AUTO);
-
-	setup_host_clocks(true);
-
-	ret = omap_ehci_hcd_init(index, &usbhs_bdata, hccr, hcor);
-	if (ret < 0)
-		printf("cm_t54: Failed to initialize ehci : %d\n", ret);
-
-	return ret;
-}
-
-int ehci_hcd_stop(void)
-{
-	int ret = omap_ehci_hcd_stop();
-
-	setup_host_clocks(false);
-
-	cm_t54_palmas_regulator_set(SMPS9_VOLTAGE, SMPS_VOLT_OFF,
-				    SMPS9_CTRL, SMPS_MODE_SLP_AUTO);
-
-	return ret;
-}
-
-void usb_hub_reset_devices(struct usb_hub_device *hub, int port)
-{
-	/* The LAN9730 needs to be reset after the port power has been set. */
-	if (port == 3) {
-		gpio_direction_output(CONFIG_OMAP_EHCI_PHY3_RESET_GPIO, 0);
-		udelay(10);
-		gpio_direction_output(CONFIG_OMAP_EHCI_PHY3_RESET_GPIO, 1);
-	}
-}
-#endif
-
diff --git a/board/compulab/cm_t54/mux.c b/board/compulab/cm_t54/mux.c
deleted file mode 100644
index ea90bc6e34..0000000000
--- a/board/compulab/cm_t54/mux.c
+++ /dev/null
@@ -1,94 +0,0 @@
-// SPDX-License-Identifier: GPL-2.0+
-/*
- * Pinmux configuration for Compulab CM-T54 board
- *
- * Copyright (C) 2014, Compulab Ltd - http://compulab.co.il/
- *
- * Author: Dmitry Lifshitz <lifshitz at compulab.co.il>
- */
-
-#ifndef _CM_T54_MUX_DATA_H
-#define _CM_T54_MUX_DATA_H
-
-#include <common.h>
-#include <asm/arch/mux_omap5.h>
-#include <asm/arch/sys_proto.h>
-
-const struct pad_conf_entry core_padconf_array_essential[] = {
-	/* MMC1 - SD CARD */
-	{SDCARD_CLK, (PTU | IEN | M0)},			/* SDCARD_CLK */
-	{SDCARD_CMD, (PTU | IEN | M0)},			/* SDCARD_CMD */
-	{SDCARD_DATA0, (PTU | IEN | M0)},		/* SDCARD_DATA0 */
-	{SDCARD_DATA1, (PTU | IEN | M0)},		/* SDCARD_DATA1 */
-	{SDCARD_DATA2, (PTU | IEN | M0)},		/* SDCARD_DATA2 */
-	{SDCARD_DATA3, (PTU | IEN | M0)},		/* SDCARD_DATA3 */
-
-	/* SD CARD CD and WP GPIOs*/
-	{TIMER5_PWM_EVT, (PTU | IEN | M6)},		/* GPIO8_228 */
-	{TIMER6_PWM_EVT, (PTU | IEN | M6)},		/* GPIO8_229 */
-
-	/* MMC2 - eMMC */
-	{EMMC_CLK, (PTU | IEN | M0)},			/* EMMC_CLK */
-	{EMMC_CMD, (PTU | IEN | M0)},			/* EMMC_CMD */
-	{EMMC_DATA0, (PTU | IEN | M0)},			/* EMMC_DATA0 */
-	{EMMC_DATA1, (PTU | IEN | M0)},			/* EMMC_DATA1 */
-	{EMMC_DATA2, (PTU | IEN | M0)},			/* EMMC_DATA2 */
-	{EMMC_DATA3, (PTU | IEN | M0)},			/* EMMC_DATA3 */
-	{EMMC_DATA4, (PTU | IEN | M0)},			/* EMMC_DATA4 */
-	{EMMC_DATA5, (PTU | IEN | M0)},			/* EMMC_DATA5 */
-	{EMMC_DATA6, (PTU | IEN | M0)},			/* EMMC_DATA6 */
-	{EMMC_DATA7, (PTU | IEN | M0)},			/* EMMC_DATA7 */
-
-	/* UART4 */
-	{I2C5_SCL, (PTU | IEN | M2)},			/* UART4_RX */
-	{I2C5_SDA, (M2)},				/* UART4_TX */
-
-	/* Led */
-	{HSI2_CAFLAG, (PTU | M6)},			/* GPIO3_80 */
-
-	/* I2C1 */
-	{I2C1_PMIC_SCL, (PTU | IEN | M0)},		/* I2C1_PMIC_SCL */
-	{I2C1_PMIC_SDA, (PTU | IEN | M0)},		/* I2C1_PMIC_SDA */
-
-	/* USBB2, USBB3 */
-	{USBB2_HSIC_STROBE, (PTU | IEN | M0)},		/* USBB2_HSIC_STROBE */
-	{USBB2_HSIC_DATA, (PTU | IEN | M0)},		/* USBB2_HSIC_DATA */
-	{USBB3_HSIC_STROBE, (PTU | IEN | M0)},		/* USBB3_HSIC_STROBE */
-	{USBB3_HSIC_DATA, (PTU | IEN | M0)},		/* USBB3_HSIC_DATA */
-
-	/* USB Hub and USB Eth reset GPIOs */
-	{HSI2_CAREADY, (PTD | M6)},			/* GPIO3_76 */
-	{HSI2_ACDATA, (PTD | M6)},			/* GPIO3_83 */
-
-	/* I2C4 */
-	{I2C4_SCL, (PTU | IEN | M0)},			/* I2C4_SCL  */
-	{I2C4_SDA, (PTU | IEN | M0)},			/* I2C4_SDA  */
-};
-
-const struct pad_conf_entry wkup_padconf_array_essential[] = {
-	{SR_PMIC_SCL, (PTU | IEN | M0)},		/* SR_PMIC_SCL */
-	{SR_PMIC_SDA, (PTU | IEN | M0)},		/* SR_PMIC_SDA */
-	{SYS_32K, (IEN | M0)},				/* SYS_32K */
-
-	/* USB Hub clock */
-	{FREF_CLK1_OUT, (PTD | IEN | M0)},		/* FREF_CLK1_OUT  */
-};
-
-/*
- * Routine: set_muxconf_regs
- * Description: setup board pinmux configuration.
- */
-void set_muxconf_regs(void)
-{
-	do_set_mux((*ctrl)->control_padconf_core_base,
-		   core_padconf_array_essential,
-		   sizeof(core_padconf_array_essential) /
-		   sizeof(struct pad_conf_entry));
-
-	do_set_mux((*ctrl)->control_padconf_wkup_base,
-		   wkup_padconf_array_essential,
-		   sizeof(wkup_padconf_array_essential) /
-		   sizeof(struct pad_conf_entry));
-}
-
-#endif /* _CM_T54_MUX_DATA_H */
diff --git a/board/compulab/cm_t54/spl.c b/board/compulab/cm_t54/spl.c
deleted file mode 100644
index 9daec634cc..0000000000
--- a/board/compulab/cm_t54/spl.c
+++ /dev/null
@@ -1,65 +0,0 @@
-// SPDX-License-Identifier: GPL-2.0+
-/*
- * SPL specific code for Compulab CM-T54 board
- *
- * Copyright (C) 2014, Compulab Ltd - http://compulab.co.il/
- *
- * Author: Dmitry Lifshitz <lifshitz at compulab.co.il>
- */
-
-#include <asm/emif.h>
-
-const struct emif_regs emif_regs_ddr3_532_mhz_cm_t54 = {
-#if defined(CONFIG_DRAM_1G) || defined(CONFIG_DRAM_512M)
-	.sdram_config_init              = 0x618522B2,
-	.sdram_config                   = 0x618522B2,
-#elif defined(CONFIG_DRAM_2G)
-	.sdram_config_init              = 0x618522BA,
-	.sdram_config                   = 0x618522BA,
-#endif
-	.sdram_config2			= 0x0,
-	.ref_ctrl                       = 0x00001040,
-	.sdram_tim1                     = 0xEEEF36F3,
-	.sdram_tim2                     = 0x348F7FDA,
-	.sdram_tim3                     = 0x027F88A8,
-	.read_idle_ctrl                 = 0x00050000,
-	.zq_config                      = 0x1007190B,
-	.temp_alert_config              = 0x00000000,
-
-	.emif_ddr_phy_ctlr_1_init       = 0x0030400B,
-	.emif_ddr_phy_ctlr_1            = 0x0034400B,
-	.emif_ddr_ext_phy_ctrl_1        = 0x04040100,
-	.emif_ddr_ext_phy_ctrl_2        = 0x00000000,
-	.emif_ddr_ext_phy_ctrl_3        = 0x00000000,
-	.emif_ddr_ext_phy_ctrl_4        = 0x00000000,
-	.emif_ddr_ext_phy_ctrl_5        = 0x4350D435,
-	.emif_rd_wr_lvl_rmp_win         = 0x00000000,
-	.emif_rd_wr_lvl_rmp_ctl         = 0x80000000,
-	.emif_rd_wr_lvl_ctl             = 0x00000000,
-	.emif_rd_wr_exec_thresh         = 0x40000305,
-};
-
-const struct dmm_lisa_map_regs lisa_map_cm_t54 = {
-	.dmm_lisa_map_0 = 0x0,
-	.dmm_lisa_map_1 = 0x0,
-
-#ifdef CONFIG_DRAM_2G
-	.dmm_lisa_map_2 = 0x80740300,
-#elif defined(CONFIG_DRAM_1G)
-	.dmm_lisa_map_2 = 0x80640300,
-#elif defined(CONFIG_DRAM_512M)
-	.dmm_lisa_map_2 = 0x80500100,
-#endif
-	.dmm_lisa_map_3 = 0x00000000,
-	.is_ma_present	= 0x1,
-};
-
-void emif_get_reg_dump(u32 emif_nr, const struct emif_regs **regs)
-{
-	*regs = &emif_regs_ddr3_532_mhz_cm_t54;
-}
-
-void emif_get_dmm_regs(const struct dmm_lisa_map_regs **dmm_lisa_regs)
-{
-	*dmm_lisa_regs = &lisa_map_cm_t54;
-}
diff --git a/configs/cm_t54_defconfig b/configs/cm_t54_defconfig
deleted file mode 100644
index 98361c4e27..0000000000
--- a/configs/cm_t54_defconfig
+++ /dev/null
@@ -1,53 +0,0 @@
-CONFIG_ARM=y
-CONFIG_ARCH_OMAP2PLUS=y
-CONFIG_ENV_SIZE=0x4000
-CONFIG_ENV_OFFSET=0xC0000
-CONFIG_OMAP54XX=y
-CONFIG_TARGET_CM_T54=y
-CONFIG_OMAP_PLATFORM_RESET_TIME_MAX_USEC=16296
-CONFIG_SPL=y
-CONFIG_ENV_OFFSET_REDUND=0xC4000
-CONFIG_SPL_TEXT_BASE=0x40300000
-CONFIG_DISTRO_DEFAULTS=y
-CONFIG_OF_BOARD_SETUP=y
-CONFIG_BOOTDELAY=3
-# CONFIG_USE_BOOTCOMMAND is not set
-CONFIG_SYS_CONSOLE_INFO_QUIET=y
-# CONFIG_MISC_INIT_R is not set
-CONFIG_VERSION_VARIABLE=y
-CONFIG_SYS_MMCSD_RAW_MODE_U_BOOT_SECTOR=0x200
-# CONFIG_SPL_NAND_SUPPORT is not set
-CONFIG_SPL_SATA_SUPPORT=y
-CONFIG_SYS_PROMPT="CM-T54 # "
-CONFIG_CMD_ASKENV=y
-CONFIG_CMD_EEPROM=y
-CONFIG_CMD_EEPROM_LAYOUT=y
-CONFIG_EEPROM_LAYOUT_HELP_STRING="v2, v3"
-CONFIG_CMD_GPIO=y
-CONFIG_CMD_I2C=y
-CONFIG_CMD_MMC=y
-CONFIG_CMD_SPI=y
-CONFIG_CMD_USB=y
-# CONFIG_CMD_SETEXPR is not set
-# CONFIG_CMD_NFS is not set
-CONFIG_CMD_EXT4_WRITE=y
-CONFIG_ENV_IS_IN_MMC=y
-CONFIG_SYS_REDUNDAND_ENVIRONMENT=y
-CONFIG_SYS_RELOC_GD_ENV_ADDR=y
-CONFIG_ENV_VARS_UBOOT_RUNTIME_CONFIG=y
-CONFIG_SCSI_AHCI=y
-CONFIG_SUPPORT_EMMC_BOOT=y
-CONFIG_MMC_OMAP_HS=y
-CONFIG_SCSI=y
-CONFIG_CONS_INDEX=4
-CONFIG_SYS_NS16550=y
-CONFIG_SPI=y
-CONFIG_OMAP3_SPI=y
-CONFIG_USB=y
-CONFIG_USB_EHCI_HCD=y
-CONFIG_USB_HOST_ETHER=y
-CONFIG_USB_ETHER_ASIX=y
-CONFIG_USB_ETHER_MCS7830=y
-CONFIG_USB_ETHER_SMSC95XX=y
-CONFIG_FAT_WRITE=y
-CONFIG_OF_LIBFDT=y
diff --git a/include/configs/cm_t54.h b/include/configs/cm_t54.h
deleted file mode 100644
index 50308fb28f..0000000000
--- a/include/configs/cm_t54.h
+++ /dev/null
@@ -1,120 +0,0 @@
-/* SPDX-License-Identifier: GPL-2.0+ */
-/*
- * Config file for Compulab CM-T54 board
- *
- * Copyright (C) 2014, Compulab Ltd - http://compulab.co.il/
- *
- * Author: Dmitry Lifshitz <lifshitz at compulab.co.il>
- */
-
-#ifndef __CONFIG_CM_T54_H
-#define __CONFIG_CM_T54_H
-
-#define CONFIG_CM_T54
-#define CONFIG_DRAM_2G
-
-#define PARTS_DEFAULT
-
-#include <configs/ti_omap5_common.h>
-
-/* EEPROM related defines */
-#define CONFIG_SYS_I2C_EEPROM_ADDR	0x50
-#define CONFIG_SYS_I2C_EEPROM_ADDR_LEN	1
-#define CONFIG_SYS_I2C_EEPROM_BUS	0
-
-/* Enable SD/MMC CD and WP GPIOs */
-#define OMAP_HSMMC_USE_GPIO
-
-/* UART setup */
-#define CONFIG_SYS_NS16550_COM4		UART4_BASE
-
-/* MMC ENV related defines */
-
-#define CONFIG_SYS_MMC_ENV_DEV		1		/* SLOT2: eMMC(1) */
-#define CONFIG_SYS_MMC_ENV_PART		0
-
-/* Enhance our eMMC support / experience. */
-#define CONFIG_HSMMC2_8BIT
-
-/* SATA Boot related defines */
-#define CONFIG_SPL_SATA_BOOT_DEVICE		0
-#define CONFIG_SYS_SATA_FAT_BOOT_PARTITION	1
-
-#define CONFIG_SCSI_AHCI_PLAT
-#define CONFIG_SYS_SCSI_MAX_SCSI_ID	1
-#define CONFIG_SYS_SCSI_MAX_LUN		1
-#define CONFIG_SYS_SCSI_MAX_DEVICE	(CONFIG_SYS_SCSI_MAX_SCSI_ID * \
-						CONFIG_SYS_SCSI_MAX_LUN)
-/* USB UHH support options */
-#define CONFIG_EHCI_HCD_INIT_AFTER_RESET
-
-#define CONFIG_OMAP_EHCI_PHY2_RESET_GPIO	76 /* HSIC2 HUB #RESET */
-#define CONFIG_OMAP_EHCI_PHY3_RESET_GPIO	83 /* HSIC3 ETH #RESET */
-
-/* Enabled commands */
-
-/* EEPROM */
-#define CONFIG_ENV_EEPROM_IS_ON_I2C
-#define CONFIG_SYS_I2C_EEPROM_ADDR_LEN		1
-#define CONFIG_SYS_EEPROM_PAGE_WRITE_BITS	4
-#define CONFIG_SYS_EEPROM_PAGE_WRITE_DELAY_MS	5
-#define CONFIG_SYS_EEPROM_SIZE			256
-
-/* USB Networking options */
-
-/*
- * Miscellaneous configurable options
- */
-#undef CONFIG_SYS_AUTOLOAD
-#undef CONFIG_EXTRA_ENV_SETTINGS
-#undef CONFIG_BOOTCOMMAND
-
-#define CONFIG_SYS_AUTOLOAD		"no"
-
-#define CONFIG_EXTRA_ENV_SETTINGS \
-	DEFAULT_LINUX_BOOT_ENV \
-	"baudrate=115200\0" \
-	"bootdelay=3\0" \
-	"autoload=no\0" \
-	"bootscr=bootscr.img\0" \
-	"fdtfile=omap5-sbc-t54.dtb\0" \
-	"kernel=zImage-cm-t54\0" \
-	"ramdisk=ramdisk-cm-t54.img\0" \
-	"console=ttyO3\0" \
-	"ramdisksize=16384\0" \
-	"mmcdev=0\0" \
-	"mmcroot=/dev/mmcblk1p2\0" \
-	"mmcargs=setenv bootargs console=${console} " \
-		"root=${mmcroot} rw rootwait\0" \
-	"ramroot=/dev/ram0\0" \
-	"ramargs=setenv bootargs console=${console} " \
-		"root=${ramroot} ramdisk_size=${ramdisksize} rw\0" \
-	"mmcloadkernel=load mmc ${mmcdev} ${loadaddr} ${kernel}\0" \
-	"mmcloadfdt=load mmc ${mmcdev} ${fdtaddr} ${fdtfile}\0" \
-	"mmcloadramdisk=load mmc ${mmcdev} ${rdaddr} ${ramdisk}\0" \
-	"mmcloadbootscript=load mmc ${mmcdev} ${loadaddr} ${bootsrc}\0" \
-	"mmcbootscript=echo Running bootscript from mmc${mmcdev}...; " \
-			"source ${loadaddr}\0" \
-	"mmcbootlinux=echo Booting from mmc${mmcdev} ...; " \
-			"bootz ${loadaddr} ${rdaddr} ${fdtaddr}\0" \
-	"mmcboot=if mmc dev ${mmcdev} && mmc rescan; then " \
-			"if run mmcloadbootscript; " \
-				"then run mmcbootscript; " \
-			"fi; " \
-			"if run mmcloadkernel; then " \
-				"if run mmcloadfdt; then " \
-					"if run mmcloadramdisk; then " \
-						"run ramargs; " \
-						"run mmcbootlinux; " \
-					"fi; " \
-					"run mmcargs; " \
-					"setenv rdaddr - ; " \
-					"run mmcbootlinux; " \
-				"fi; " \
-			"fi; " \
-		"fi;\0"
-
-#define CONFIG_BOOTCOMMAND \
-	"bootcmd=run mmcboot || setenv mmcdev 1; setenv mmcroot /dev/mmcblk0p2; run mmcboot;"
-
-#endif /* __CONFIG_CM_T54_H */